CHPASSWD(8)

NAME
chpasswd - aktualisiert Passwörter im Batch-Modus

ÜBERSICHT

chpasswd [Optionen]

BESCHREIBUNG

Der Befehl chpasswd liest eine Liste von Benutzername-Passwort-Paaren von der Standardeingabe. Damit werden Benutzerdaten aktualisiert. Jede Zeile muss folgendes Format haben:

Benutzername:Passwort

Das Passwort muss standardmäßig im Klartext angegeben werden und von chpasswd verschlüsselt. Soweit vorhanden, wird auch das Alter des Passworts aktualisiert.

Standardmäßig werden die Passwörter von PAM verschlüsselt. Sie können aber eine andere Verschlüsselungsmethode mit den Optionen -e, -m oder -c festlegen (dies wird jedoch nicht angeraten).

PAM wird nicht zur Verschlüsselung der Passwörter verwendet:chpasswd aktualisiert zunächst alle Passwörter im Arbeitsspeicher und schreibt dann die Änderungen auf das Speichermedium, falls keine Fehler aufgetreten sind.

Wenn PAM zur Verschlüsselung der Passwörter (und ihrer Aktualisierung in der Systemdatenbank) verwendet wird, wird chpasswd die Aktualisierung der Passwörter auch dann fortsetzen, wenn ein Passwort nicht geändert werden kann, und beim Beenden eine Fehlermeldung zurückgeben.

Dieser Befehl ist für den Einsatz in großen Umgebungen vorgesehen, in der viele Konten gleichzeitig erstellt werden müssen.

OPTIONEN

Die Optionen, die vom Befehl chpasswd unterstützt werden, sind:

-c, --crypt-methodMETHODE
    Definiert die Methode, mit der die Passwörter verschlüsselt werden.

    Die verfügbaren Methoden sind DES, MD5, NONE und SHA256 oder SHA512, soweit Ihre libc sie unterstützt.

    Standardmäßig verschlüsselt PAM die Passwörter.

-e, --encrypted
    Passwörter werden verschlüsselt angegeben.

-S, --stdout
    Report encrypted passwords to stdout instead of updating password file.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-m, --md5
    werwendet zur Verschlüsselung MD5 anstelle von DES, wenn die Passwörter unverschlüsselt angegeben werden

-R, --rootCHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-s, --sha-roundsRUNDEN
    Verwendet die angegebene Anzahl von Runden, um die Passwörter zu verschlüsseln.

    Ein Wert von 0 bedeutet, dass das System die Standardanzahl der Runden (5000) für die Verschlüsselung verwenden wird.

    Der Mindestwert ist 1000, der Höchstwert 999.999.999.

    Sie können diese Option nur mit den Verschlüsselungsmethoden SHA256 und SHA512 verwenden.

    Standardmäßig wird die Anzahl der Runden von den Variablen SHA_CRYPT_MIN_ROUNDS und SHA_CRYPT_MAX_ROUNDS /etc/login.defs bestimmt.

WARNUNGEN

Achten Sie darauf, dass die Rechte und Umask korrekt vergeben sind, um zu verhindern, dass andere Benutzer unverschlüsselte Dateien lesen können.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

SHA_CRYPT_MIN_ROUNDS (Zahl), SHA_CRYPT_MAX_ROUNDS (Zahl)
    Wenn ENCRYPT_METHOD auf SHA256 oder SHA512 gesetzt ist, legt dies die Anzahl der Runden von SHA fest, die standardmäßig vom Verschlüsselungsalgorithmus verwendet werden (falls die Anzahl der Runden nicht auf der Befehlszeile angegeben wird).

    Je mehr Runden Sie definieren, umso schwieriger ist es, das Passwort mit sturem Durchprobieren (brute force) zu knacken; umso mehr Rechenleistung wird jedoch auch für die Anmeldung eines Benutzers benötigt.

    Falls Sie nichts angeben, wird libc die Standardanzahl der Runden festlegen (5000).

    Die Werte müssen zwischen 1000-999.999.999 liegen.

    Falls nur der Wert für SHA_CRYPT_MIN_ROUNDS oder SHA_CRYPT_MAX_ROUNDS festgelegt wird, wird dieser Wert verwendet.

    Falls SHA_CRYPT_MIN_ROUNDS > SHA_CRYPT_MAX_ROUNDS, wird der höhere Wert verwendet.

    Hinweis: Damit wird lediglich die Erstellung von Gruppenpasswörtern beeinflusst. Benutzerpasswörter werden dagegen von PAM erstellt, so dass dieser Vorgang in PAM konfiguriert werden muss. Empfehlenswert ist, diese Variable mit der Konfiguration von PAM in Einklang zu bringen.

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

/etc/login.defs
    Konfiguration der Shadow-Passwort-Werkzeugsammlung

/etc/pam.d/chpasswd
    PAM-Konfiguration für chpasswd

SIEHE AUCH

passwd(1), newusers(8), login.defs(5),useradd(8).